import {ModelComponent} from "../ModelComponent";
import {ModelComponentType} from "../ModelComponentType";
import {SaveComponent} from "../SaveComponent";

export class ScriptAccount extends ModelComponent{
  minValue: number = 0;
  maxValue: number = 100;
  constructor(componentName: string, componentDescription: string) {
    super(componentName, componentDescription, ModelComponentType.SCRIPTACCOUNT);
  }

  save(): string {
    return JSON.stringify(this, null, SaveComponent.JSON_INDENT)
  }
}
